Bug 604461 - black mouse in rdesktop/win7/no aero
black mouse in rdesktop/win7/no aero
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 19:39 EDT by Henrique Martins
Modified: 2014-06-18 05:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrique Martins 2010-06-15 19:39:23 EDT
Description of problem:
Black mouse in rdesktop connected to win7 (and probably 2008R2). See ubuntu bug
https://bugs.launchpad.net/ubuntu/+source/rdesktop/+bug/385974

Version-Release number of selected component (if applicable):
1.6.0-7.fc12 (even though I'm on f13)

How reproducible:
Always

Steps to Reproduce:
1. disable aero on your win7 machine
2. rdesktop to it
3.
  
Actual results:
mouse sprite mask is there but no bitmap, resulting on a black mouse, not very visible on black backgrounds

Expected results:
viewable mouse


Additional info:
Seems to be fixed in rev1593 on sourceforge, according to ubuntu bug page
Comment 1 Sander Hoentjen 2010-06-22 10:44:15 EDT
more precisely it is fixed in r1520
Comment 2 David Rees 2010-10-19 19:28:45 EDT
I'm also affected by this bug.  The upstream bug appears to be this one:

http://sourceforge.net/tracker/index.php?func=detail&aid=2858665&group_id=24366&atid=381347
Comment 3 Robert Townley 2011-01-29 16:19:53 EST
Note to maintainer of package rdesktop

rdesktop.org does not work, need www.rdestkop.org


Although for some reason i am unable to browse the source code repository on sf.net right now, i believe this was fixed quite a while ago in the rdesktop source.  If not, the following is a patch: 

https://sourceforge.net/tracker/?func=detail&aid=2884937&group_id=24366&atid=381349
Comment 4 Robert Townley 2011-04-19 22:22:41 EDT
rdesktop 1.7.0 is out.  Compiled very cleanly and very quickly on my 5 year old Fedora 14 machines.  

yum -y install libX11-devel openssl-devel

#!/bin/bash
mkdir -p /home/public/SOURCE/
pushd /home/public/SOURCE/
svn co https://rdesktop.svn.sourceforge.net/svnroot/rdesktop rdesktop
pushd /home/public/SOURCE/rdesktop/rdesktop/trunk/
./bootstrap
./configure
./make
sudo make install
Comment 5 Robert Townley 2011-04-19 23:00:15 EDT
yum -y install git-svn libX11-devel openssl-devel
Comment 6 Bug Zapper 2011-06-02 06:40:44 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Henrique Martins 2011-06-15 16:24:09 EDT
Still present on fedora 15, as I seem to only have rdesktop-1.6.0-12.fc15.
Is rdesktip-1.7 on any of the test depos, or ?
Comment 8 Filipe Rosset 2012-04-23 14:50:25 EDT
It's fixed in Fedora 17 (1.7.0/1.7.1), can we go ahead and close this old bug?
Comment 9 Fedora End Of Life 2012-08-07 15:41:25 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.